DBUpgrader (Hyperic HQ Plugin API)
Keywords: org.hyperic.tools.ant.dbupgrade.DBUpgrader class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.tools.ant.dbupgrade
Class DBUpgrader

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.hyperic.tools.ant.dbupgrade.DBUpgrader

    public class DBUpgrader

extends org.apache.tools.ant.Task

Field Summary
`static java.lang.String` | `ctx`
`static java.lang.String` | `SCHEMA_MOD_IN_PROGRESS`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`DBUpgrader()`

Method Summary
`SchemaSpec` | `createSchemaSpec()`
`void` | `execute()`
`java.sql.Connection` | `getConnection()`
`int` | `getDBType()`
`int` | `getDBUtilType()`
`java.util.Collection` | `getTypeMaps()`
`void` | `setJdbcPassword(java.lang.String jdbcPassword)`
`void` | `setJdbcUrl(java.lang.String jdbcUrl)`
`void` | `setJdbcUser(java.lang.String jdbcUser)`
`void` | `setKeyColumn(java.lang.String k)`
`void` | `setKeyMatch(java.lang.String m)`
`void` | `setTable(java.lang.String t)`
`void` | `setTargetSchemaVersion(java.lang.String v)`
`void` | `setTypeMap(java.io.File f)`
`void` | `setValueColumn(java.lang.String v)`
`protected boolean` | `shouldExecSpecVersion(SchemaVersion version)`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ctx

    public static final java.lang.String ctx

### SCHEMA_MOD_IN_PROGRESS

    public static final java.lang.String SCHEMA_MOD_IN_PROGRESS

See Also:
  Constant Field Values

Constructor Detail

### DBUpgrader

    public DBUpgrader()

Method Detail

### setJdbcUrl

    public void setJdbcUrl(java.lang.String jdbcUrl)

### setJdbcUser

    public void setJdbcUser(java.lang.String jdbcUser)

### setJdbcPassword

    public void setJdbcPassword(java.lang.String jdbcPassword)

### setValueColumn

    public void setValueColumn(java.lang.String v)

### setTable

    public void setTable(java.lang.String t)

### setKeyColumn

    public void setKeyColumn(java.lang.String k)

### setKeyMatch

    public void setKeyMatch(java.lang.String m)

### setTypeMap

    public void setTypeMap(java.io.File f)

### setTargetSchemaVersion

    public void setTargetSchemaVersion(java.lang.String v)

### createSchemaSpec

    public SchemaSpec createSchemaSpec()

### getTypeMaps

    public java.util.Collection getTypeMaps()

### getDBType

    public int getDBType()

### getDBUtilType

    public int getDBUtilType()

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Overrides:
    `execute` in class `org.apache.tools.ant.Task`
  Throws:
    `org.apache.tools.ant.BuildException`

### shouldExecSpecVersion

    protected boolean shouldExecSpecVersion(SchemaVersion version)

### getConnection

    public java.sql.Connection getConnection()
                                      throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.